Subject: Insect Life in Britain

From: KATHERINE WOOLF <[email-masked]>
Date: Wed, 27 Mar 96 21:13:18 GMT

I'm selling a very unusual 1945 book about entomology/insect
life in Britain.  Definitely not a scientific study- it is a long
essay with reflections and thoughts, pictures and descriptions,
including everything from snatches of poetry to a recipe for mead!
The book is in good condition, with 8 very attractive colour plates
and 22 black and white pix. Guess it would suit someone who likes
insects and has connections with Britain!  Price ten pounds/$15